Bug 149361 - missing return expression
missing return expression
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: aalib (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-22 12:28 EST by David Binderman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-01 17:02:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2005-02-22 12:28:45 EST
Description of problem:

I just tried to compile package aalib-1.4.0-0.rc5.3 from 
Redhat Fedora Extras development tree.

The compiler said

aalinuxkbd.c(203): warning #117: non-void function "rawmode_init"
should return a value

The source code is

static int rawmode_init(void)
{
    if (!closed)
        return;

I've checked the source code, and I agree with the compiler. Suggest 
add expression to return statement.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Michael Schwendt 2005-07-01 17:02:15 EDT
Fixed in CVS >= aalib-1.4.0-0.rc5.5

Note You need to log in before you can comment on or make changes to this bug.